#ifndef GUARD_dirdlg_h
#define GUARD_dirdlg_h
// Sagua is music player. 
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file dirbrowsedlg.h
/// @brief Class for directory selection dialog header file.

#include <string>

#include <gtkmm/dialog.h>

#include "dirbrowsewin.h"

/// @brief Class for directory selection dialog.
class DirBrowseDlg : public Gtk::Dialog
{
    public:
	DirBrowseDlg();
	virtual ~DirBrowseDlg();

	/// @brief Return selected directory.
	const std::string& SelectedDirectory() const { return selectedDirectory_; }

    private:	
	DirBrowseWnd dirBrowseWnd_;
	std::string selectedDirectory_;

	void OnSelected();
	void OnBtnCancel();
	void OnBtnOk();
};

#endif

