#ifndef GUARD_fileinfodlg_h
#define GUARD_fileinfodlg_h
// Sagua is music player. 
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file fileinfodlg.h
/// @brief Class for display file's tag and some information header file.

#include <map>
#include <string>

#include <gtkmm/dialog.h>
#include <gtkmm/table.h>
#include <gtkmm/label.h>

/// @brief Class for display file's tag and some information. 
class FileInfoDlg : public Gtk::Dialog
{
    public:
	FileInfoDlg(std::map<std::string, Glib::ustring>& fileInfo);
	virtual ~FileInfoDlg();
	
    private:
	Gtk::Table mainTable_;	    ///< Gtk::Table to put labels in regular form.
	Gtk::Label fileInfoHead_;   ///< Dialog's main label "File Information"
	Gtk::Label titleHead_, artistHead_, albumHead_, trackHead_, yearHead_, genreHead_, commentHead_; 
	Gtk::Label title_, artist_, album_, track_, year_, genre_, comment_;

	void OnBtnOk();
};

#endif

