#ifndef GUARD_trayicon_h
#define GUARD_trayicon_h
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file trayicon.h
/// @brief Class for trayicon header file

#include <glibmm.h>

#include "fixedallocator.h"

class MainManager;

/// @brief Class for trayicon
class TrayIcon : public SmallObject 
{
    public:
	TrayIcon(MainManager& mainManager);
	~TrayIcon();	

	void SetTooltips(const Glib::ustring& string);

    private:
	class TrayIconImpl;
	std::auto_ptr<TrayIconImpl> impl_;	///< Implementation of trayicon

	TrayIcon& operator=(const TrayIcon& trayIcon);
	TrayIcon(const TrayIcon& trayIcon);

};

#endif

